@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  --primary-color:#54461a;
  --primary-color-light:#786C3D;
  --secondary-color:#7F5539;
  --extra-light:#DDB892;
  --white: #ffffff;
  --max-width: 1200px;
  --header-font: "Lisu Bosa", serif;
}


/*reveal section*/

.reveal {
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1s ease-out, transform 0.5s ease-out;
}
.reveal.active {
    opacity: 1;
    transform: translateY(0);
}
.footer__discover img{
width:40px;

}
 /*General css */

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}



.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.section__subheader {
  margin-bottom: 1rem;
  font-size: 1rem;
  font-weight: 500;
  color: var(--text-light);
  text-align: center;
}

.section__header {
  font-size: 3rem;
  font-weight: 500;
  line-height: 3.75rem;
  color: var(--text-dark);
  text-align: center;
}

img {
  width: 100%;
  display: flex;
}



a {
  text-decoration: none;
  transition: 0.3s;
}

ul {
  list-style: none;
}

 /*NAV  SECTION*/

nav {
  position: fixed;
  isolation: isolate;
  width: 100%;
  max-width: var(--max-width);
  margin-inline: auto;
  z-index: 9;
}

.nav__header {
  padding: 1rem;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--text-dark);
}

.nav__logo .logo {
  color: var(--white);
}

.nav__menu__btn {
  font-size: 1.5rem;
  cursor: pointer;
}

.nav__links {
  position: absolute;
  top: 65px;
  left: 0;
  width: 100%;
  list-style: none;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem;
  background-color: var(--text-dark);
  transition: 0.5s;
  z-index: -1;
  transform: translateY(-100%);
  color: black;
}

.nav__links.open {
  transform: translateY(0);
}

.nav__links a {
  font-weight: 500;
  white-space: nowrap;
  color: var(--white);
}

.nav__links a:hover {
  color: var(--primary-color);
}


.footer__container {
  display: grid;
  gap: 2rem;
}
 /*FOOTER  SECTION*/

.footer__col p {
  margin-top: 1rem;
  color: var(--text-light);
}

.footer__col h4 {
  margin-bottom: 1.5rem;
  font-size: 1.2rem;
  font-weight: 500;
  color: var(--text-dark);
}

.footer__links {
  display: grid;
  gap: 1rem;
}

.footer__links a {
  font-weight: 500;
  color: var(--text-light);
}

.footer__links a:hover {
  color: var(--primary-color);
}

.footer__socials {
  margin-bottom: 2rem;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.footer__socials a {
  padding: 8px 12px;
  font-size: 1.25rem;
  color: var(--text-dark);
  border-radius: 100%;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
}

.footer__socials a:hover {
  color: var(--white);
  background-color: var(--primary-color);
}

.footer__col h5 {
  margin-bottom: 1rem;
  font-size: 1.1rem;
  font-weight: 500;
  color: var(--text-light);
}

.footer__discover {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.footer__discover img {
  max-width: 120px;
  border-radius: 1rem;
}

.footer__bar {
  padding: 1rem;
  font-size: 0.9rem;
  color: var(--text-light);
  text-align: center;
}


 /*CONTACT  SECTION*/

.contact__container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
  align-items: center;
}

.contact__card {
  max-width: 250px;
  margin: auto;
  aspect-ratio: 1;
  display: grid;
  place-content: center;
  text-align: center;
  border: 1px solid #97A97C;
  border-radius: 100%;
  cursor: pointer;
}

.contact__card span {
  margin-bottom: 1rem;
  font-size: 2rem;
  transition: 0.3s;
}

.contact__card:hover span {
  color:#87986A;
}

.contact__col h4 {
  margin-bottom: 1rem;
  font-size: 2.5rem;
  font-weight: 800;
  font-family: var(--header-font);
}

.contact__col h5 {
  margin-bottom: 0.5rem;
  font-size: 1.5rem;
  font-weight: 600;
  font-family: var(--header-font);
}

 /*ABOUT  SECTION*/

.about__container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  align-items: center;
}

.about__container :is(.section__header, .section__subheader) {
  text-align: left;
}

.about__flex {
  margin: 2rem 0;
  padding: 2rem 1rem;
  display: flex;
  align-items: center;
  gap: 1rem;
  flex-wrap: wrap;
  background-color: var(--primary-color-light);
  color: #fff;
}

.about__card {
  flex: 1 1 150px;
  text-align: center;
  border-right: 2px solid var(--primary-color);
}

.about__card:last-child {
  border: none;
}

.about__card h4 {
  margin-bottom: 5px;
  font-size: 3rem;
  font-weight: 600;
  font-family: var(--header-font);
}

.about__card p {
  font-size: 0.9rem;
}

.about__image img {
  max-width: 500px;
  margin: auto;
}

.btn {
  padding: 0.75rem 1.5rem;
  outline: none;
  font-size: 1rem;
  color: #fff;
  background-color:#718355;
  cursor: pointer;
  transition: 1s;
border: 1px solid #718355;

}
.btn:hover{
    color:#718355;
  background-color:#fff;
border: 1px solid #718355;

}
 /*BLOG  SECTION*/


.blogs__container {
  padding: 5rem 0;
}

.blogs__grid {
  margin-top: 4rem;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
}

.blogs__card {
  position: relative;
}
.blogs__card img :hover.blogs__content{
opacity: 1;
cursor: pointer;
}
.blogs__card :hover.blogs__content{
opacity: 1;
}

.blogs__card::after {
  position:relative;
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-image: linear-gradient(to top,black, transparent);
}

.blogs__content {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding: 2rem;
  font-size: 1.2rem;
  font-weight: 500;
  z-index: 1;
  color: #fff;
  opacity:0;
  transition: 2s;

}



 /*GALLERY  SECTION*/

.gallery__container {
  padding: 5rem 1rem;
}

.gallery__grid {
  margin-top: 4rem;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 1rem;
}

.gallery__card {
  position: relative;
  overflow: hidden;
}

.gallery__content {
  position: absolute;
  left: 50%;
  bottom: -8rem;
  transform: translateX(-50%);
  width: 100%;
  padding: 2rem 1rem;
  transition: 0.3s;
  text-align: center;
  background-image: linear-gradient(to top, black, transparent);
}

.gallery__content h4 {
  margin-bottom: 1rem;
  font-size: 2rem;
  font-weight: 800;
  font-family: var(--header-font);
  color: #fff;
}
.gallery__content p {
  color: #fff;
}

.gallery__card:hover .gallery__content {
  bottom: 0;
}
/*Logo*/

.karura-logo{
  color: #718355;
  
  
  }

.logo {
  font-size: 1.75rem;
  font-weight: 600;
  color: var(--text-dark);
}

.logo span {
  color: var(#718355);
}
.logo span {
  color: var(--primary-color);
}

.hero__container p {
  text-align: center;
  font-size: 12rem;
  font-weight: 700;
  background-image: url("/images/image1.avif");
  background-size: cover;
  transition:1s;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 1px var(--extra-light);
}

.hero__container p:hover{
background: none;
color: black;
}
.fa-solid{
  color:#718355;
  font-size:20px;
  margin-left:7px;
  }

  /*RESPONSIVE CSS*/
  @media (width > 540px) {
    .service__grid {
      grid-template-columns: repeat(2, 1fr);
    }
  
    .destination__grid {
      grid-template-columns: repeat(2, 1fr);
    }
  
    .footer__container {
      grid-template-columns: repeat(2, 1fr);
    }
  
    .footer__col:nth-child(4) {
      grid-area: 2/1/3/2;
    }
  }
  
  @media (width > 768px) {
    nav {
      position: static;
      padding-block: 2rem 0;
      padding-inline: 1rem;
      display: flex;
      align-items: center;
      justify-content: space-between;
      gap: 2rem;
    }
  
    .nav__header {
      padding: 0;
      background-color: transparent;
    }
  
    .nav__logo .logo {
      color: var(--text-dark);
    }
  
    .nav__menu__btn {
      display: none;
    }
  
    .nav__links {
      position: static;
      padding: 0;
      flex-direction: row;
      justify-content: flex-end;
      gap: 4rem;
      background-color: transparent;
      transform: none;
    }
  
    .nav__links a {
      color:black;
    }
  
    .header__container {
      grid-template-columns: repeat(2, 1fr);
      align-items: center;
    }
  
    .header__image {
      grid-area: 1/2/2/3;
    }
  
    .header__content :is(.section__subheader, h1, p) {
      text-align: left;
    }
  
    .header__btns {
      justify-content: flex-start;
    }
  
    .service__grid {
      grid-template-columns: repeat(4, 1fr);
    }
  
    .destination__grid {
      grid-template-columns: repeat(3, 1fr);
    }
  
    .trip__container {
      grid-template-columns: repeat(2, 1fr);
      align-items: center;
    }
  
    .trip__image {
      grid-area: 1/2/2/3;
    }
  
    .trip__content :is(.section__subheader, .section__header) {
      text-align: left;
    }
  
    .client__container {
      grid-template-columns: repeat(2, 1fr);
    }
  
    .client__content :is(.section__subheader, .section__header) {
      text-align: left;
    }
  
    .footer__container {
      grid-template-columns: repeat(4, 1fr);
    }
  
    .footer__col:nth-child(4) {
      grid-area: unset;
    }
  }
  
  @media (width > 1024px) {
    .service__grid {
      gap: 2rem;
    }
  
    .service__card {
      padding: 2rem;
    }
  
    .destination__grid {
      gap: 2rem;
    }
  }
     .header__image img{
     mix-blend-mode:multiply;
     } 
  
     .contact {
    background-image: linear-gradient(
      to top,
      rgba(255, 255, 255, 0.05),
      transparent
    );
  }
  @media (width<900px){
    
    #discover{
      display: flex;
      flex-direction: column;
      background:none;
    }
    #Karura{
      display: none;
    }
   
.nav__header {
  background-color: #635e4d;
}

    #nav-links{
      background-color: #0a0d14;
    }
    .contact__col{
      width: 90%;
    }
  }